### Method

# GdkPixbuf.Pixbuf.save_to_callbackv

#### Declaration [src]

    gboolean
    gdk_pixbuf_save_to_callbackv (
      GdkPixbuf* pixbuf,
      GdkPixbufSaveFunc save_func,
      gpointer user_data,
      const char* type,
      char** option_keys,
      char** option_values,
      GError** error
    )

#### Description [src]

Vector version of `gdk_pixbuf_save_to_callback()`.

Saves pixbuf to a callback in format `type`, which is currently “jpeg”, “png”, “tiff”, “ico” or “bmp”.

If `error` is set, `FALSE` will be returned.

See `gdk_pixbuf_save_to_callback()` for more details.

#### Parameters

`save_func` | `GdkPixbufSaveFunc`
| a function that is called to save each block of data that the save routine generates.
`user_data` | `gpointer`
| user data to pass to the save function.
`type` | `const char*`
| name of file format.
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`option_keys` | An array of `utf8`
| name of options to set
| Can be `NULL`
| Ownership is not transferred to the callee
`option_values` | An array of `utf8`
| values for named options
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
whether an error was set